#version 150

in vec4 osg_Vertex;
in vec3 osg_Normal;

uniform mat4 osg_ModelViewMatrix;
uniform mat4 osg_ViewMatrix;
uniform mat4 osg_ProjectionMatrix;
uniform mat3 osg_NormalMatrix;
uniform vec3 a_TextureOffset;

uniform vec3 a_LightPos;

out vec4 v_Vertex;
out vec3 v_WoodCoord;

//HOTSPOT_PRE_MAIN

void main()
{
	phong();
	v_Vertex = osg_Vertex + vec4(a_TextureOffset.xyz, 0.0);
	v_WoodCoord = (v_Vertex * rotationMatrix(vec3(1.0,0.5,0.1), 0.2)).xyz;
	gl_Position = osg_ProjectionMatrix * osg_ModelViewMatrix * osg_Vertex;
}