#version 150

in vec4 osg_Vertex;
in vec4 osg_Color;
in vec3 osg_Normal;

uniform mat4 osg_ModelViewMatrix;
uniform mat4 osg_ViewMatrix;
uniform mat4 osg_ProjectionMatrix;
uniform mat3 osg_NormalMatrix;

uniform vec3 a_LightPos;
uniform float osg_FrameTime;

out vec4 v_Color;

//HOTSPOT_PRE_MAIN

void main()
{
	//HOTSPOT_START_MAIN
	
	float factor = step(mod(osg_FrameTime, 1), 0.5) / 2 + 0.5;
	v_Color = osg_Color * factor;
	gl_Position = osg_ProjectionMatrix * osg_ModelViewMatrix * osg_Vertex;
}