out vec3 phong_Vertex;
out vec3 phong_LightPos;
out vec3 phong_Normal;

void phong(mat4 vertexTransform, vec4 vertex, vec3 normal) {
	phong_LightPos = (osg_ViewMatrix * vec4(a_LightPos,1.0)).xyz;
	phong_Vertex = vec3(osg_ModelViewMatrix * vertexTransform * vertex);
	phong_Normal = normalize(osg_NormalMatrix * vec3(vertexTransform * vec4(normal,1)));
}

void phong() {
	phong(mat4(1,0,0,0, 0,1,0,0, 0,0,1,0, 0,0,0,1), osg_Vertex, osg_Normal);
}