#pragma once

#include <unordered_map>
#include <fmod/fmod.hpp>
#include <fmod/fmod_errors.h>
#include <osg/Referenced>
#include <osg/ref_ptr>

using namespace std;
using namespace FMOD;
using namespace osg;

class FmodManager : public Referenced {
public:
	static System* system();
	static void cleanup();

private:
	FmodManager();
	virtual ~FmodManager();

	FMOD_RESULT result;
	unsigned int version;
	System *fmodSystem;

};