#pragma once

#include <Leap/Leap.h>
#include <osg/Referenced>
#include <osg/ref_ptr>
#include <osg/Vec3>

using namespace Leap;
using namespace osg;

class LeapManager : public Referenced
{
public:
	void _setListener(Listener& leapListener);
	static void setListener(Listener& leapListener);

	void _removeListener();
	static void removeListener();

	static void cleanup();

private:
	LeapManager();
	virtual ~LeapManager();

	Controller controller;
	Listener* listener;
	
	static LeapManager* instance();
};