#include "fmod/FmodManager.h"
#include "leap/LeapManager.h"
#include "osg/OsgViewerWidget.h"
#include "physx/PhysxManager.h"

#include <QApplication>

#include "Teeter/Teeter.h"
#include "GameLoop.h"

int main(int argc, char* argv[]) {

	QApplication* app = new QApplication(argc, argv);
	OsgViewerWidget* viewWidget = new OsgViewerWidget();

	Teeter* t = new Teeter(viewWidget);
	viewWidget->addView(t);

	viewWidget->show();
	
	GameLoop::start(t);

	app->exec();

	LeapManager::cleanup();
	FmodManager::cleanup();
	return 0;
}