#pragma once

#include "TextHUD.h"
#include <qobject.h>
#include "qtimer.h"

class AnimatedTextHUD : public QObject, public TextHUD {
	Q_OBJECT
public:
	AnimatedTextHUD();
	void show();
	void setTimes(float, float, float);
public slots:
	void hide();
protected:
	void addShader();
	QTimer _timer;
	float _timeIn;
	float _timeUp;
	float _timeOut;
};
