#pragma once

#include <osgGA/TrackballManipulator>
#include <leap/Leap.h>

class HandCamera : public osgGA::TrackballManipulator{
public:
	HandCamera();
	void setHeight(float);
	void changeHeight(float);
	float getHeight();
	void setAngle(float);
	void changeAngle(float);
	float getAngle();
	void setCenter(osg::Vec3);
	osg::Vec3 getCenter();
	void setDistance(float);
	float getDistance();

	bool handleLeapFrame(const Leap::Frame);
protected:
	float _height;
	float _angle;
	osg::Vec3 _center;
	float _distance;
	
	void updatePosition();
};
