#pragma once

#include <osg/Vec3>
#include <osg/MatrixTransform>
#include <osg/Plane>
#include <osg/Math>

osg::Vec3 getRotationInDirection(osg::MatrixTransform& currentPose, osg::Vec3 orientation, osg::Vec3 direction, float threshold = 0.1);

osg::Vec3 getRotationInDirection(const osg::Matrix& currentPose, osg::Vec3 orientationU, osg::Vec3 directionU, osg::Vec3 orientationV, osg::Vec3 directionV, float threshold = 0.1);

osg::Vec3 getRotationInDirection(osg::MatrixTransform& currentPose, osg::Vec3 orientationU, osg::Vec3 directionU, osg::Vec3 orientationV, osg::Vec3 directionV, float threshold = 0.1);

osg::Vec3 project(osg::Vec3 vector, osg::Plane plane);