#pragma once

#include <iostream>

#include <physx/PxPhysicsAPI.h>
#include <physx/extensions/PxExtensionsAPI.h>

#include <osg/Referenced>
#include <osg/ref_ptr>

using namespace std;
using namespace physx;

class PhysxManager : public osg::Referenced {
public:
	static PxPhysics* getPhysics();

	static PxCooking* getCooking();

protected:
	PhysxManager();
	virtual ~PhysxManager();
	
	static PhysxManager* instance();

	PxFoundation* foundation;
	PxProfileZoneManager* profileZoneManager;
	PxPhysics* physics;
	PxCooking* cooking;
};