#version 150

out vec4 fragColor;

uniform vec4 a_Color;
uniform vec4 a_ColorAnimationTarget;
uniform float a_ColorAnimationStart;
uniform float a_ColorAnimationEnd;

uniform float osg_SimulationTime;

//HOTSPOT_PRE_MAIN

void main()
{
	float easeVal = easeLinear(a_ColorAnimationStart, a_ColorAnimationEnd, osg_SimulationTime);
	fragColor = mix(a_Color, a_ColorAnimationTarget, easeVal);
	fragColor = phong(fragColor*0.4, fragColor*0.8, fragColor*0.8, 8);
}