#pragma once

#include "AbstractHUD.h"

class ContainerHUD : public AbstractHUD {
public:
	ContainerHUD();
	void addChild(AbstractHUD*);
	void draw();
	void deleteHUDs();
	void showHUD(AbstractHUD*);
	void hideHUD(AbstractHUD*);
	void show();
	void hide();
	void clear();
	void setResolution(int, int);
protected:
	osg::ref_ptr<osg::Group> _group;
	std::vector<osg::ref_ptr<AbstractHUD>> _huds;
};
