#pragma once

#include<QMouseEvent>

class MouseListener
{
public:
	virtual ~MouseListener() {};

	virtual void mousePressEvent(QMouseEvent* event) = 0;
	virtual void mouseReleaseEvent(QMouseEvent* event) = 0;
	virtual void mouseDoubleClickEvent(QMouseEvent* event) = 0;
	virtual void mouseMoveEvent(QMouseEvent* event) = 0;
	virtual void wheelEvent(QWheelEvent* event) = 0;
};